PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
PContainerReference Class Reference

`#include <contain.h>`

Collaboration diagram for PContainerReference:
[legend]

## Public Member Functions
__inline | PContainerReference (PINDEX initialSize, bool isConst=false)
__inline | PContainerReference (const PContainerReference &ref)
| PDECLARE_POOL_ALLOCATOR ()

## Public Attributes
PINDEX | size
PAtomicInteger | count
bool | deleteObjects
bool | constObject

## Constructor & Destructor Documentation

__inline PContainerReference::PContainerReference | ( | PINDEX | initialSize,
|  | bool | isConst = `false`
| ) |  |
| inline

__inline PContainerReference::PContainerReference | ( | const PContainerReference & | ref | ) |
| inline

## Member Function Documentation

PContainerReference::PDECLARE_POOL_ALLOCATOR | ( |  | ) |

## Member Data Documentation

bool PContainerReference::constObject

PAtomicInteger PContainerReference::count

bool PContainerReference::deleteObjects

Referenced by PQueue< PXML >::PQueue(), PSet< PString >::PSet(), and PStack< T >::PStack().

PINDEX PContainerReference::size

The documentation for this class was generated from the following file:

- contain.h